/*
 Theme Name:   Bricks Child Theme
 Theme URI:    https://bricksbuilder.io/
 Description:  Use this child theme to extend Bricks.
 Author:       Bricks
 Author URI:   https://bricksbuilder.io/
 Template:     bricks
 Version:      1.1
 Text Domain:  bricks
*/



.single-product #brx-header .fr-header-bravo {
	background-color: #b60c65;
}




/* Produkt Details */
.fr-woo-product-bravo__image {
    position: relative;
    width: 100%;
    max-height: 200px;
    overflow: hidden;
    height: 100%;
}
.fr-woo-product-bravo__image img {
	position: absolute !important;
    max-width: 100%;
    width: 100%;
    height: auto;
    top: 30%;
    left: 50%;
    transform: translate(-50%, -30%);
}
.fr-woo-product-bravo__accordion-item { 
	display: flow-root; 
}
.brxe-product-add-to-cart form.cart .yith-wcbk-booking-form {
	max-width: 100%;
	margin-bottom: 0;
}
.yith-wcbk-form-section-dates-wrapper,
.yith-wapo-block {
	margin-top: 2.5em;
	padding-top: 2.5em !important;
	border-top: 6px solid #000;
}
.brxe-product-add-to-cart #yith-wapo-container .yith-wapo-block .yith-wapo-addon.yith-wapo-addon-type-select.required-min {
	border: 0;
}
.yith-wcbk-booking-form .yith-wcbk-form-section {
	margin-top: 20px;
}
.yith-wcbk-booking-form .yith-wcbk-date-picker-wrapper .yith-wcbk-booking-date {
	height: var(--f-input-height, 3.125rem);
	font-size: var(--f-input-size, --text-m);
}
.brxe-product-add-to-cart .yith-wcbk-booking-form label.yith-wcbk-booking-form__label,
#yith-wapo-container .yith-wapo-block .yith-wapo-addon .addon-header h4 {
	padding-top: 0.6em;
	padding-bottom: 0.6em;
	margin: 0;
	font-size: var(--h4);
	line-height: var(--h4-line-height);
}
#yith-wapo-container .yith-wapo-block .yith-wapo-addon.yith-wapo-addon-type-date .yith-wapo-option .date-container {
	margin-top: 0px;
}
/*.preis-nutzungstag {
	font-weight: bold;
	text-transform: uppercase;
	background-color: #b60c65;
	color: #fff;
	display: inline-block;
	padding: 5px;
}*/
.brxe-product-add-to-cart form.cart .yith-wcbk-add-to-cart-button {
	margin-top: 2.5em;
}

.yith-wcbk-form-section-dates-wrapper .addon-header,
#yith-wapo-addon-9 .addon-header,
#yith-wapo-addon-8 .addon-header {
    margin-right: 10px;
    font-size: 100%;
    color: #fff;
    font-weight: bold;
    padding: 3px 12px;
    border-radius: 3px;
	float: none;
	display: inline-block;
	margin-bottom: 1em;	
}
.yith-wcbk-form-section-dates-wrapper .addon-header {
    background-color: #B50963;	
}	
#yith-wapo-addon-9 .addon-header {
	background-color: #78b301;
}
#yith-wapo-addon-8 .addon-header {
	background-color: #f2c011;
}




#yith-wapo-option-3-0 input.hasDatepicker,
#yith-wapo-option-4-0 input.hasDatepicker {
    background-image: url(assets/images/calendar.svg);
    background-position: calc(100% - 15px) 50%;
    background-repeat: no-repeat;
    background-size: 20px;
}


/* Materialverleih Buchungskalender */
.yith-wcbk-booking-form table.ui-datepicker-calendar  { 
    border-spacing: 2px;
    border-collapse: separate;
}
.yith-wcbk-booking-form table.ui-datepicker-calendar tr td {
	background-color: #629e40;
	color: #fff;
	padding: 0;	
	font-weight: 600;
}
.yith-wcbk-booking-form table.ui-datepicker-calendar tr td.ui-datepicker-unselectable.ui-state-disabled {
	background-color: #fff;	
	color: #000;
}



.yith-wcbk-booking-form table.ui-datepicker-calendar tr td a.ui-state-default,
.yith-wcbk-booking-form table.ui-datepicker-calendar tr td.bk-non-available-date span.ui-state-default {
	color: #fff;
}
.yith-wcbk-booking-form table.ui-datepicker-calendar tr td.TagMittwoch,
.yith-wcbk-booking-form table.ui-datepicker-calendar tr td.ui-datepicker-week-end {
	background: linear-gradient(to right bottom, #629e40 50%, #e4a15b 50.3%);
	pointer-events: none;
	cursor: default !important;
	opacity: .6;
}
.yith-wcbk-booking-form table.ui-datepicker-calendar tr td.ui-datepicker-unselectable.ui-state-disabled.bk-non-available-date.TagMittwoch,
.yith-wcbk-booking-form table.ui-datepicker-calendar tr td.ui-datepicker-week-end.ui-datepicker-unselectable.ui-state-disabled.bk-non-available-date {
	background: linear-gradient(to right bottom, #b70d0d 50%, #e4a15b 50.3%);
	pointer-events: none;
	cursor: default !important;
	opacity: .6;	
}
.yith-wcbk-booking-form table.ui-datepicker-calendar tr td.ui-datepicker-week-end {
	background: linear-gradient(to right bottom, #629e40 50%, #e4a15b 50.3%);
}
.yith-wcbk-booking-form table.ui-datepicker-calendar tr td.ui-datepicker-other-month {
	background: #fff;
}
.yith-wcbk-booking-form table.ui-datepicker-calendar tr td.ui-state-disabled {
	background: none;
	text-decoration: none;
}

.yith-wcbk-booking-form table.ui-datepicker-calendar tr td.ui-datepicker-unselectable.ui-state-disabled.bk-non-available-date {
	background: #b70d0d;
	opacity: 1;
	color: #fff;
}

.yith-wcbk-booking-form table.ui-datepicker-calendar tr td.bk-from-date,
.yith-wcbk-booking-form table.ui-datepicker-calendar tr td.bk-to-date,
.yith-wcbk-booking-form table.ui-datepicker-calendar tr td.ui-datepicker-current-day,
.yith-wcbk-booking-form table.ui-datepicker-calendar tr td.bk-gebucht {
	background: #5486c8 !important;
	background-color: #5486c8 !important;
}


.yith-wcbk-datepicker .ui-datepicker-buttonpane {

}

/* Materialverleih Buchungsschritte */
.disabled, 
:disabled {
	pointer-events: none;
	filter: none;
	opacity: .5;
}

#yith-wapo-container #yith-wapo-block-4 .yith-wapo-option .yith-wapo-option-value {
	width: auto;
	height: auto;
	padding: 0;
	margin: 0;
    margin-right: 0px;
	opacity: 1;
	position: relative;
}
#yith-wapo-block-5 {
	display: none !important;
}




.legend-scale ul {
    margin: 0;
    padding: 0;
    float: left;
    list-style: none;
}
.legend-scale ul li {
    display: block;
    float: left;
    width: 50px;
    margin-bottom: 6px;
    text-align: center;
    font-size: 80%;
    list-style: none;
}
ul.legend-labels li span {
    display: block;
    float: left;
    height: 15px;
    width: 50px;
}




.datepicker-legend {
    padding: 10px 8px 5px;
    border-top: 1px solid #ddd;
    margin-top: 10px;
}

.legend-title {
    font-weight: bold;
    margin-bottom: 8px;
    font-size: 13px;
    color: #333;
}

.legend-grid {
    display: grid;
    grid-template-columns: 1fr;
    gap: 8px 12px;
}

.legend-item {
    display: flex;
    align-items: center;
    gap: 6px;
}

.legend-color {
    display: inline-block;
    width: 20px;
    height: 20px;
    border-radius: 3px;
    border: 1px solid #999;
    flex-shrink: 0;
}

.legend-text {
    font-size: 12px;
    color: #555;
    line-height: 1.2;
	text-align: left;
}


.woocommerce-checkout-review-order-table .product-total,
.woocommerce-checkout-review-order-table .cart-subtotal,
.woocommerce-checkout-review-order-table .order-total {
	display: none;
}	


.woocommerce .woocommerce-cart-form dl.variation,
.woocommerce-checkout table.woocommerce-checkout-review-order-table dl.variation {
  background: #f9f9f9;
  max-width: 960px;
  padding: 10px;
  margin: 10px auto;
  position: relative;
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 2px;
}

.woocommerce-cart-form dl.variation dt,
.woocommerce-cart-form dl.variation dd {
  padding: 10px;
}

.woocommerce-cart-form dl.variation:nth-child(odd) dt,
.woocommerce-cart-form dl.variation:nth-child(odd) dd {
  background: #eee;
}	
.woocommerce-cart-form dl.variation dt:nth-child(4n + 2),
.woocommerce-cart-form dl.variation dd:nth-child(4n + 1) {
  background: #eee;
  color: #fff;
}
dt.variation-Tage-Gesamt,
dd.variation-Tage-Gesamt,
dt.variation-Abholung,
dd.variation-Abholung,
dt.variation-Rckgabe,
dd.variation-Rckgabe,
dt.variation-Nutzungsdauer,
dd.variation-Nutzungsdauer,
dt.variation-nderungen,
dd.variation-nderungen,
dt.variation-AbholungDatum,
dd.variation-AbholungDatum,
dt.variation-RckgabeDatum,
dd.variation-RckgabeDatum {
	display: none;
}








dt.variation-Abholdatum,
dd.variation-Abholdatum {
	order: 1;
}
dt.variation-AbholungUhrzeit,
dd.variation-AbholungUhrzeit {
	order: 2;
}
dt.variation-Rckgabedatum,
dd.variation-Rckgabedatum {
	order: 3;
}
dt.variation-RckgabeUhrzeit,
dd.variation-RckgabeUhrzeit {
	order: 4;
}
dt.variation-BenutzungErsterTag,
dd.variation-BenutzungErsterTag {
	order: 5;
}
dt.variation-BenutzungLetzterTag,
dd.variation-BenutzungLetzterTag {
	order: 6;
}


/****** Woocommerce Cart/Checkout ******/
.woocommerce-cart .cart_totals tr.cart-subtotal,
.woocommerce-cart .cart_totals tr.order-total,
.woocommerce-checkout .woocommerce-checkout-review-order-table th.product-total,
.woocommerce-checkout .woocommerce-checkout-review-order-table tr.cart-subtotal,
.woocommerce-checkout .woocommerce-checkout-review-order-table tr.order-total {
	display: none !important;	
}


/****** Checkout Form ******/
#thwmsc-tab-panel-4 .thwcfe-checkout-section {
	margin: 40px 0;	
	border: 1px solid var(--bricks-border-color);
	background: #eeeeee;
}
#materialverleih_bedingungen_field {
	padding: 20px;
	border-bottom: 1px solid var(--bricks-border-color);	
}
.form-row-wide {
	width: 100%;
}
.form-row-50p-first {
	width: 48%;
	float: left;
	margin-right: 2.5%;
}
.form-row-50p-last {
	width: 48%;
	float: right;
	margin-right: 0;
}
.form-row-25p-first {
	width: 31.5%;
	float: left;
	margin-right: 2.5%;
}
.form-row-25p-last {
	width: 31.5%;
	float: right;
	margin-right: 0;
}






/****** Woocommerce Thank you Page ******/
.fr-woo-thankyou-alpha .woocommerce-table td.woocommerce-table__product-name li,
.fr-woo-thankyou-alpha .woocommerce-table td.woocommerce-table__product-total span,
.fr-woo-thankyou-alpha .woocommerce-table tfoot .woocommerce-Price-amount,
.fr-woo-thankyou-alpha .woocommerce-order-details table.my_account_bookings,
.fr-woo-thankyou-alpha .woocommerce-order-overview.order_details li.woocommerce-order-overview__total {
	display: none;
}
.fr-woo-thankyou-alpha .woocommerce-table td.woocommerce-table__product-name li.abholung-uhrzeit,
.fr-woo-thankyou-alpha .woocommerce-table td.woocommerce-table__product-name li.r\%c3\%bcckgabe-uhrzeit,
.fr-woo-thankyou-alpha .woocommerce-table td.woocommerce-table__product-name li.benutzung-erster-tag,
.fr-woo-thankyou-alpha .woocommerce-table td.woocommerce-table__product-name li.benutzung-letzter-tag,
.fr-woo-thankyou-alpha .woocommerce-table td.woocommerce-table__product-name li.abholdatum,
.fr-woo-thankyou-alpha .woocommerce-table td.woocommerce-table__product-name li.r\%c3\%bcckgabedatum {
	display: block;
	width: 100%;
}
.fr-woo-thankyou-alpha .woocommerce-table td.woocommerce-table__product-name li.abholdatum {
	order: 1;
}
.fr-woo-thankyou-alpha .woocommerce-table td.woocommerce-table__product-name li.abholung-uhrzeit {
	order: 2;
}
.fr-woo-thankyou-alpha .woocommerce-table td.woocommerce-table__product-name li.r\%c3\%bcckgabedatum {
	order: 3;
}
.fr-woo-thankyou-alpha .woocommerce-table td.woocommerce-table__product-name li.r\%c3\%bcckgabe-uhrzeit {
	order: 4;
}
.fr-woo-thankyou-alpha .woocommerce-table td.woocommerce-table__product-name li.benutzung-erster-tag {
	order: 5;
}
.fr-woo-thankyou-alpha .woocommerce-table td.woocommerce-table__product-name li.benutzung-letzter-tag {
	order: 6;
}







.thwmsc-tab-content .thwcfe-input-field {	  
	background-color: var(--f-light-input-background, var(--white));
	  border-top-width: var(--f-input-border-top-size, 0.0625rem);
	  border-right-width: var(--f-input-border-right-size, 0.0625rem);
	  border-bottom-width: var(--f-input-border-bottom-size, 0.0625rem);
	  border-left-width: var(--f-input-border-left-size, 0.0625rem);
	  border-style: var(--f-input-border-style, solid);
	  border-color: var(--f-light-input-border-color, var(--neutral-light));
	  border-radius: var(--f-input-border-radius, var(--btn-radius));
	  color: var(--f-light-input-text-color, var(--neutral-dark));
	  font-size: var(--f-input-size, --text-m);
	  font-weight: var(--f-input-font-weight, 400);
	  line-height: var(--f-input-line-height, 1);
	  padding: var(--f-input-padding-y, 0.5em) var(--f-input-padding-x, 1em);
	  -webkit-border-radius: var(--f-input-border-radius, var(--btn-radius));
	  -moz-border-radius: var(--f-input-border-radius, var(--btn-radius));
	  -ms-border-radius: var(--f-input-border-radius, var(--btn-radius));
	  -o-border-radius: var(--f-input-border-radius, var(--btn-radius));
	  transition: var(--transition-duration) var(--transition-timing) var(--transition-delay);
}


.fr-woo-thankyou-alpha .woocommerce-order-details:nth-child(2) h2 {
	display: none;
}




@media (max-width: 991px) {
	.yith-wapo-block {
		margin-top: 2em;
		padding-top: 2em !important;
	}
	.brxe-product-add-to-cart form.cart .yith-wcbk-add-to-cart-button {
		margin-top: 2em;
	}
}